<template>
  <q-layout view="hHh Lpr fFf"> <!-- Be sure to play with the Layout demo on docs -->

    <!-- (Optional) The Header -->
    <q-header style="background: #61cb34;">
      <q-toolbar>
        <q-toolbar-title>
          <q-img @click="$router.push('/')" src="~assets/logo_big.png" style="max-width: 11.53rem; margin: 2px"/>
        </q-toolbar-title>

        <q-btn flat round dense >
          <q-avatar>
            <img :src="user.avatar || 'avatar.jpg'">
          </q-avatar>
          <q-menu>
            <q-list style="min-width: 100px">
              <q-item clickable v-close-popup @click="$router.push('/profile')">
                <q-item-section>Profile</q-item-section>
              </q-item>
              <q-item clickable v-close-popup @click="$router.push('/provider')">
                <q-item-section>Provider</q-item-section>
              </q-item>
              <q-item clickable v-close-popup @click="$router.push('/notification')">
                <q-item-section>Notifikasi</q-item-section>
              </q-item>
              <q-item clickable v-close-popup @click="$router.push('/home')">
                <q-item-section>Admin</q-item-section>
              </q-item>
              <q-item clickable v-close-popup @click="$router.push('/logout')">
                <q-item-section>Logout</q-item-section>
              </q-item>

            </q-list>
          </q-menu>
        </q-btn>

      </q-toolbar>
    </q-header>

    <!-- (Optional) A Drawer; you can add one more with side="right" or change this one's side -->


    <q-page-container>
      <!-- This is where pages get injected -->
      <router-view />
    </q-page-container>

    <q-footer class="mobile-only">
      <footer-nav />
    </q-footer>
  </q-layout>

</template>

<script>
import MenuSamping from "components/MenuSamping";
import FooterNav from "components/FooterNav";
export default {
  name: 'AuthLayout',

  beforeMount() {
    this.checkLogin();
  },

  components: {
    MenuSamping, FooterNav
  },

  data () {
    return {
      leftDrawer: false,
      token: localStorage.getItem("token"),
      logo: "~assets/logo-big.png",
    }
  },

  methods: {
    async checkLogin() {
      if (this.token) {
        let config = {
          method: "post",
          url: "api/details",
          headers: {
            Authorization: "Bearer " + this.token
          }
        }

        this.$q.loading.show();
        await this.$axios(config)
          .then(response => {
            this.$store.commit("user/updateUserDetail", response.data.data);
          })
          .catch(error => {
            this.$router.push("/login")
            console.log(error)
          })
          .then(data => {

            this.$q.loading.hide();
          })

      } else {
        this.$router.push("/login")
      }
    }
  },

  computed: {
    user() {
      return this.$store.state.user.user
    }
  }
}
</script>
